Bug 12794 - unneeded menu file
: unneeded menu file
Status: CLOSED FIXED
: Branch 4.0
(All bugs in Branch 4.0/rdesktop)
: 4.0
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-09-16 19:12 by
Modified: 2007-10-02 14:07 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-09-16 19:12:51
в пакет входит файл меню, который прописывает rdesktop в меню к - интернет - 
дополнительно - rdesktop

но проблема в том, что его имеет смысл только запускать с указанием адреса 
сервера и опциями, а из меню он запускается только как 
command="/usr/bin/rdesktop ${RDP_CONNECTION}"

(откуда берется переменная? у меня пуста)  - в результате просто при выборе 
пункта меню ничего не происходит.

стоит ли убрать файл меню из пакета? или как-то обеспечить указание адреса (но 
у всех же он разный?)
------- Comment #1 From 2007-09-16 23:04:38 -------
Ну переменную можно создать... Из этого пункта вероятно удобно делать ярлык на 
стол. А вообще я бы действительно убрал этот пункт.
------- Comment #2 From 2007-09-16 23:39:42 -------
я-то так и делал - ярлык и там прописывал адрес.
а вот другой пользователь таким "незапускающимся" пунктом смутился.
rdesktop - приложение чисто консольное, но вроде есть нечто под названием 
krdesktop ..
сделайте багу assign/new, а то ее не видно будет в поиске.. если сразу не 
исправить ;)
------- Comment #3 From 2007-09-17 21:42:31 -------
(In reply to comment #1)
> Ну переменную можно создать... Из этого пункта вероятно удобно делать ярлык на 
> стол. А вообще я бы действительно убрал этот пункт.

Достаточно ли будет просто убрать menu файл? Или что-то ещё надо сделать?
------- Comment #4 From 2007-10-02 13:32:44 -------
fixed:

rdesktop - Powerful tool for remote desktop connection
* Wed Sep 26 2007 Igor Zubkov <icesik@altlinux> 1.5.0-alt6
- add description of -y option to man page (closes #11447)
* Wed Sep 26 2007 Igor Zubkov <icesik@altlinux> 1.5.0-alt5
- remove menu file (closes #12794)
* Sat Apr 21 2007 Igor Zubkov <icesik@altlinux> 1.5.0-alt4
------- Comment #5 From 2007-10-02 14:07:22 -------
надеюсь на то, хотя не проверял ;)